exclude:
  # Files in the /static/ folders are valid.
  - pattern: '^/pdfs/'
  - pattern: '^/videos/'
  - pattern: '^/images/'

  # The team page uses the `{{< team >}}` shortcode, so most anchors cannot be found by hugolint.
  - pattern: '^/handbook/company/team/?#'

  # The product categories page uses the `{{% categories %}}` shortcode, creating per-group headings.
  - pattern: '^/handbook/product/categories/?#'

  # The "Features by Group" page uses the `{{% categories-features %}}` shortcode, creating dynamic headings.
  - pattern: '^/handbook/product/categories/features/?#'

  # Pages using the `{{% performance-indicators %}}` shortcode.
  - pattern: '^/handbook/ceo/office-of-the-ceo/performance-indicators/?#'
  - pattern: '^/handbook/engineering/development/incubation/performance-indicators/?#'
  - pattern: '^/handbook/engineering/development/performance-indicators/?#'
  - pattern: '^/handbook/engineering/infrastructure/performance-indicators/?#'
  - pattern: '^/handbook/engineering/performance-indicators/_index/?#'
  - pattern: '^/handbook/finance/finance-team-performance-indicators/?#'
  - pattern: '^/handbook/marketing/developer-relations/performance-indicators/?#'
  - pattern: '^/handbook/marketing/performance-indicators/?#'
  - pattern: '^/handbook/people-group/people-success-performance-indicators/?#'
  - pattern: '^/handbook/product/ux/performance-indicators/?#'
  - pattern: '^/handbook/support/performance-indicators/?#'

  # hugolint incorrectly flagged a relative URL with `~:text=` as broken when it isn't - https://gitlab.com/gitlab-com/content-sites/handbook-tools/hugolint/-/issues/8
  - pattern: '^/handbook/engineering/workflow/?#product-development-timeline:~:text=Monday%2C%205%20days%20before%20the%20milestone%20begins%3A'
